Node+React App Tutorial out of date?

Solved
New Member
2 0 1

 

I'm wondering if this tutorial (Link to the tutorial.) is recently out of date and needs to be updated? The reason being is that I be a deprecation warning when I run the server with:

npm run dev

The deprecation warning is as follows:

Deprecation: Using `apiKey` and `shopOrigin` on `AppProvider` to initialize 
the Shopify App Bridge is deprecated. Support for this will be removed in
v5.0. Use `Provider` from `@shopify/app-bridge-react` instead:
https://help.shopify.com/en/api/embedded-apps/app-bridge/react-components/provider

The tutorial also uses REST for the billing when the documentation recommends using GraphQL Admin API as mentioned here.

 

I'm new to Shopify and trying to learn to develop with it so any clarification would be appreciated.

1 Like

Success.

Shopify Staff
Shopify Staff
7 1 5

I think you are correct, it is a bit out of date. We are in the process of updating our docs to reflect the changes both from REST->Graphql and updating for app bridge. I will notify our docs people about this, Thankyou

1 Like
New Member
2 0 1

Thank you for the quick reply.

How do I keep up to date with the changes made to the tutorial?

0 Likes
Highlighted
New Member
6 0 0

Can You at least post some quick solution to how to connect using Provider?

0 Likes
New Member
1 0 0

You have me on the edge of my seat for the new tutorial. 

I built an app, deleted it, and am starting again just to better learn the process. Now the project files are different enough from the tutorial that I'm very stumped. Please let us know when it's updated.

0 Likes
Excursionist
13 1 2

Tim - it's been months and your tutorials do not work and are out of date.  Do you have an update for us on this?

0 Likes
Shopify Staff
Shopify Staff
25 4 4

Hi all, the tutorial is up to date. 

0 Likes